package com.template.services;

import com.template.model.pojo.RepairAdmin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.request.updateRepairAdminRequest;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-05
 */
public interface RepairAdminService extends IService<RepairAdmin> {
    int insertRepairAdmin(RepairAdmin ra);

    int deleteRepairAdminById(String id);

    RepairAdmin getRepairByAccount(String Account);

    PageUtils<RepairAdmin> queryPageList(int currentPage, int pageCount, String account, String phone, String userName);

    RepairAdmin getRepairById(String id);

    int updateRepaiRadmin(updateRepairAdminRequest urar);

    int updateRepairAdmin(RepairAdmin ra);
}
